Skip to content

Get one Cartographic Transformation

Request

Get one cartographic transformation given its essence

Security
bearer
Query
modestring

The mode of return: 'persistable_reference' (default) string or 'essence' structure or 'persistable_reference_essence' i.e. the combination of other 2 options.

Default:"persistable_reference"
Headers
data-partition-idstringrequired

desired data partition id

Bodyapplication/json

A unique description of a cartographic transform (CT), either as persistable reference string or essence JSON.

persistableReferencestring

The persistable reference string, either the essence of the cartographic transform (CT) serialized into a JSON string or an encoded string (version 1).

Example:"{\"wkt\":\"GEOGTRAN[\\\"ED_1950_To_WGS_1984_1\\\",GEOGCS[\\\"GCS_European_1950\\\",DATUM[\\\"D_European_1950\\\",SPHEROID[\\\"International_1924\\\",
essenceobject(Any CT Essence)

Any sub-type of cartographic transformation.

Example:
{ "authCode": { "auth": "EPSG", "code": "1133" }, "type": "ST", "ver": "PE_10_3_1", "name": "ED_1950_To_WGS_1984_1", "wkt": "GEOGTRAN[\"ED_1950_To_WGS_1984_1\",GEOGCS[\"GCS_European_1950\",DATUM[\"D_European_1950\",SPHEROID[\"International_1924\",6378388.0,297.0]],PRIMEM[\"Greenwich\",0.0],UNIT[\"Degree\",0.0174532925199433]],GEOGCS[\"GCS_WGS_1984\",DATUM[\"D_WGS_1984\",SPHEROID[\"WGS_1984\",6378137.0,298.257223563]],PRIMEM[\"Greenwich\",0.0],UNIT[\"Degree\",0.0174532925199433]],METHOD[\"Geocentric_Translation\"],PARAMETER[\"X_Axis_Translation\",-87.0],PARAMETER[\"Y_Axis_Translation\",-98.0],PARAMETER[\"Z_Axis_Translation\",-121.0],AUTHORITY[\"EPSG\",1133]]" }
curl -i -X POST \
  'https://as5.api.enterprisedata.slb.com/api/crs/catalog/v2/ct?mode=persistable_reference' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'data-partition-id: string' \
  -d '{
    "persistableReference": "{\"wkt\":\"GEOGTRAN[\\\"ED_1950_To_WGS_1984_1\\\",GEOGCS[\\\"GCS_European_1950\\\",DATUM[\\\"D_European_1950\\\",SPHEROID[\\\"International_1924\\\",6378388.0,297.0]],PRIMEM[\\\"Greenwich\\\",0.0],UNIT[\\\"Degree\\\",0.0174532925199433]],GEOGCS[\\\"GCS_WGS_1984\\\",DATUM[\\\"D_WGS_1984\\\",SPHEROID[\\\"WGS_1984\\\",6378137.0,298.257223563]],PRIMEM[\\\"Greenwich\\\",0.0],UNIT[\\\"Degree\\\",0.0174532925199433]],METHOD[\\\"Geocentric_Translation\\\"],PARAMETER[\\\"X_Axis_Translation\\\",-87.0],PARAMETER[\\\"Y_Axis_Translation\\\",-98.0],PARAMETER[\\\"Z_Axis_Translation\\\",-121.0],AUTHORITY[\\\"EPSG\\\",1133]]\",\"ver\":\"PE_10_3_1\",\"name\":\"ED_1950_To_WGS_1984_1\",\"authCode\":{\"auth\":\"EPSG\",\"code\":\"1133\"},\"type\":\"ST\"}",
    "essence": {
      "authCode": {
        "auth": "EPSG",
        "code": "1133"
      },
      "type": "ST",
      "ver": "PE_10_3_1",
      "name": "ED_1950_To_WGS_1984_1",
      "wkt": "GEOGTRAN[\"ED_1950_To_WGS_1984_1\",GEOGCS[\"GCS_European_1950\",DATUM[\"D_European_1950\",SPHEROID[\"International_1924\",6378388.0,297.0]],PRIMEM[\"Greenwich\",0.0],UNIT[\"Degree\",0.0174532925199433]],GEOGCS[\"GCS_WGS_1984\",DATUM[\"D_WGS_1984\",SPHEROID[\"WGS_1984\",6378137.0,298.257223563]],PRIMEM[\"Greenwich\",0.0],UNIT[\"Degree\",0.0174532925199433]],METHOD[\"Geocentric_Translation\"],PARAMETER[\"X_Axis_Translation\",-87.0],PARAMETER[\"Y_Axis_Translation\",-98.0],PARAMETER[\"Z_Axis_Translation\",-121.0],AUTHORITY[\"EPSG\",1133]]"
    }
  }'

Responses

A successful response

Bodyapplication/json
sourcestring(Source)

The source of the cartographic transformation.

aliasNamesArray of strings(Alias Names)

Alias names for this cartographic transformation.

descriptionstring(Description)

The description of the cartographic transformation.

fromCRSAuthorityCodeobject(Authority Code)

The AuthorityCode for this item.

toCRSAuthorityCodeobject(Authority Code)

The AuthorityCode for this item.

lastModifiedstring(LastModified)

The LastModified of the cartographic transformation.

areaOfUseobject(AreaOfUse)

The AreaOfUse class.

deprecationInfoobject(CT Deprecation Info)

Deprecation information for a cartographic transform.

namedReferenceobject(NamedReference)

Name and Persistable Reference (the essence converted to a JSON string).

essenceobject(Any CT Essence)

Any sub-type of cartographic transformation.

Response
{ "source": "string", "aliasNames": [ "string" ], "description": "string", "fromCRSAuthorityCode": { "auth": "EPSG", "code": "4326" }, "toCRSAuthorityCode": { "auth": "EPSG", "code": "4326" }, "lastModified": "string", "areaOfUse": { "id": "string", "name": "string", "description": "string", "lastModified": "string", "namedReference": { … }, "essence": { … } }, "deprecationInfo": { "deprecationState": "string", "remarks": "string", "supersededByCT": { … } }, "namedReference": { "name": "string", "persistableReference": "string" }, "essence": { "type": "ST", "name": "ED_1950_UTM_Zone_31N", "ver": "PE_10_3_1", "wkt": "GEOGTRAN[\"ED_1950_To_WGS_1984_23\",GEOGCS[\"GCS_European_1950\",DATUM[\"D_European_1950\",SPHEROID[\"International_1924\",6378388.0,297.0]],PRIMEM[\"Greenwich\",0.0],UNIT[\"Degree\",0.0174532925199433]],GEOGCS[\"GCS_WGS_1984\",DATUM[\"D_WGS_1984\",SPHEROID[\"WGS_1984\",6378137.0,298.257223563]],PRIMEM[\"Greenwich\",0.0],UNIT[\"Degree\",0.0174532925199433]],METHOD[\"Position_Vector\"],PARAMETER[\"X_Axis_Translation\",-116.641],PARAMETER[\"Y_Axis_Translation\",-56.931],PARAMETER[\"Z_Axis_Translation\",-110.559],PARAMETER[\"X_Axis_Rotation\",0.893],PARAMETER[\"Y_Axis_Rotation\",0.921],PARAMETER[\"Z_Axis_Rotation\",-0.917],PARAMETER[\"Scale_Difference\",-3.52],AUTHORITY[\"EPSG\",1612]]", "policy": "Fallback", "cts": [ … ], "authCode": { … } } }